## kiconthemes 5.104.0

=== debian/changelog ===
kiconthemes (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:35 +0000

kiconthemes (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:28 +0000

kiconthemes (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:11 +0000

kiconthemes (5.101.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:18:50 +0300

kiconthemes (5.101.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:28:09 +0300

kiconthemes (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:39 +0000

kiconthemes (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:04 +0000

kiconthemes (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:21 +0000

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5archive-dev (>= 5.104.0~),
               libkf5configwidgets-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5itemviews-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Rules-Requires-Root: no

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.104.0~),
         libkf5i18n-dev (>= 5.104.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.104.0~),
         libkf5widgetsaddons-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.107.0

=== debian/changelog ===
kiconthemes (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:41 +0200

kiconthemes (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:59 +0100

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libkf5archive-dev (>= 5.107.0~),
               libkf5configwidgets-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               libkf5itemviews-dev (>= 5.97.0~),
               libkf5widgetsaddons-dev (>= 5.107.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kiconthemes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kiconthemes.git
Rules-Requires-Root: no

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.107.0~),
         libkf5i18n-dev (>= 5.107.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.97.0~),
         libkf5widgetsaddons-dev (>= 5.107.0~),
         qtbase5-dev (>= 5.15.2~),
         qtdeclarative5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),
Recommends: libkf5iconthemes-doc (= ${source:Version}),
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),
Recommends: libkf5iconthemes-bin (= ${binary:Version}),
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.109.0

=== debian/changelog ===
kiconthemes (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:19 +0100

kiconthemes (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:20:16 +0100

kiconthemes (5.107.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 15:58:30 +0300

kiconthemes (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:39 +0100

kiconthemes (5.106.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:09:40 +0300

kiconthemes (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:46:02 +0100

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5archive-dev (>= 5.109.0~),
               libkf5configwidgets-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5itemviews-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kiconthemes
Rules-Requires-Root: no

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.109.0~),
         libkf5i18n-dev (>= 5.109.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.109.0~),
         libkf5widgetsaddons-dev (>= 5.109.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.110.0

=== debian/changelog ===
kiconthemes (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5archive-dev (>= 5.109.0~),
-               libkf5configwidgets-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5itemviews-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5archive-dev (>= 5.110.0~),
+               libkf5configwidgets-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5itemviews-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -50,11 +50,11 @@
 Package: libkf5iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.109.0~),
-         libkf5i18n-dev (>= 5.109.0~),
+Depends: libkf5configwidgets-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.110.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev (>= 5.109.0~),
-         libkf5widgetsaddons-dev (>= 5.109.0~),
+         libkf5itemviews-dev (>= 5.110.0~),
+         libkf5widgetsaddons-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},

## kiconthemes 5.113.0

=== debian/changelog ===
kiconthemes (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)
  * Add qtdeclarative5-dev to libkf5iconthemes-dev Depends, needed
    because of QQuickImageProvider

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:29 +0000

kiconthemes (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:21 +0000

kiconthemes (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5archive-dev (>= 5.110.0~),
-               libkf5configwidgets-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5itemviews-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5archive-dev (>= 5.113.0~),
+               libkf5configwidgets-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5itemviews-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -50,12 +50,13 @@
 Package: libkf5iconthemes-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.110.0~),
-         libkf5i18n-dev (>= 5.110.0~),
+Depends: libkf5configwidgets-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.113.0~),
          libkf5iconthemes5 (= ${binary:Version}),
-         libkf5itemviews-dev (>= 5.110.0~),
-         libkf5widgetsaddons-dev (>= 5.110.0~),
+         libkf5itemviews-dev (>= 5.113.0~),
+         libkf5widgetsaddons-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
+         qtdeclarative5-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5iconthemes-doc (= ${source:Version})

## kiconthemes 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KIconThemes VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(CMakeDependentOption)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KICONTHEMES
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION}Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt${QT_MAJOR_VERSION}Svg ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION}DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

add_definitions(-DTRANSLATION_DOMAIN=\"kiconthemes5\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IconThemes")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5IconThemes_QCH
        FILE KF5IconThemesQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5IconThemesQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5IconThemesConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IconThemesConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5IconThemesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5IconThemesTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kiconthemes_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIconThemes COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kiconthemes (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:00 +0200

kiconthemes (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Fix FTCBFS: Build designer plugin, thx to Helmut Grohne (Closes:
    #1023941).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:22 +0100

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5archive-dev (>= 5.115.0~),
               libkf5configwidgets-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kiconthemes
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kiconthemes
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kiconthemes.git
Rules-Requires-Root: no

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.115.0~),
         libkf5i18n-dev (>= 5.115.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.115.0~),
         qtbase5-dev (>= 5.15.2~),
         qtdeclarative5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),
Recommends: libkf5iconthemes-doc (= ${source:Version}),
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),
Recommends: libkf5iconthemes-bin (= ${binary:Version}),
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

## kiconthemes 5.116.0

=== debian/changelog ===
kiconthemes (5.116.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:22:04 +0300

kiconthemes (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:46:38 +0100

kiconthemes (5.116.0-0ubuntu2) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Sep 2024 20:45:28 +0300

kiconthemes (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:42:42 +0100

kiconthemes (5.115.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:25:00 +0300

kiconthemes (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:32:07 +0000

kiconthemes (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:59:13 +0000

kiconthemes (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:57:00 -0700

kiconthemes (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:16:23 -0700

kiconthemes (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:53:05 -0700

kiconthemes (5.113.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:07:08 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable dh_auto_test on build time
	:

## kiconthemes 5.116.0+p24.04+vstable+git20250831.2307

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vstable+git20250831.2307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:07:19 +0000

kiconthemes (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:40:33 +1000

kiconthemes (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:27:40 +0000

kiconthemes (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:21:31 +0000

kiconthemes (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:02:26 +0000

kiconthemes (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:44:09 +0000

kiconthemes (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:14:09 +0000

kiconthemes (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:25:33 +0000

kiconthemes (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 20:24:41 +0000

kiconthemes (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:10:32 +0000

kiconthemes (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:57:01 +0000

kiconthemes (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:52:19 +0000

kiconthemes (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:26:07 +0000

kiconthemes (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:31:25 +0000

kiconthemes (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:55:47 +0000

kiconthemes (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:56:17 +0000

kiconthemes (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:04:02 +0000

kiconthemes (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:20:07 +0000

kiconthemes (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:28:21 +0000

kiconthemes (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:00:44 +0000

kiconthemes (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:31:08 +0000

kiconthemes (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:59:43 +0000

kiconthemes (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:30:36 +0000

kiconthemes (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:20:57 +0000

kiconthemes (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:24 +0000

kiconthemes (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:10 +0000

kiconthemes (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 06:58:06 +0000

kiconthemes (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:29 +0000

kiconthemes (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:07 +0000

kiconthemes (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:26:38 +0000

kiconthemes (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:16:35 +0000

kiconthemes (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:08 +0000

kiconthemes (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:16:29 +0000

kiconthemes (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:29 +0000

kiconthemes (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:13:27 +0000

kiconthemes (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:04:35 +0000

kiconthemes (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:51 +0000

kiconthemes (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:41:47 +0000

kiconthemes (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:27:25 +0000

kiconthemes (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:22:09 +0000

kiconthemes (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:31:34 +0000

kiconthemes (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:52:54 +0000

kiconthemes (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:35 +0000

kiconthemes (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:19:37 +0000

kiconthemes (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:20:25 +0000

kiconthemes (5.67.0-0neon) bionic; urgency=medium

  * New release



## kiconthemes 5.116.0+p24.04+vstable+git20250902.0112

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vstable+git20250902.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Sep 2025 01:12:56 +0000

## kiconthemes 5.116.0+p24.04+vstable+git20251015.0937

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vstable+git20251015.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:37:07 +0000

## kiconthemes 5.116.0+p24.04+vstable+git20251020.0108

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KIconThemes VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vstable+git20251020.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:08:16 +0000

=== debian/control ===
Source: kiconthemes
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5archive-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kiconthemes
Vcs-Git: https://invent.kde.org/neon/kde/kiconthemes.git
Vcs-Browser: https://invent.kde.org/neon/kde/kiconthemes
Maintainer: Neon CI <neon@kde.org>

Package: libkf5iconthemes-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains runtime binaries.

Package: libkf5iconthemes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the data files.

Package: libkf5iconthemes-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.51.0~),
         libkf5i18n-dev (>= 5.51.0~),
         libkf5iconthemes5 (= ${binary:Version}),
         libkf5itemviews-dev (>= 5.51.0~),
         libkf5widgetsaddons-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kross-dev (<< 5.51),
        libkf5bookmarks-dev (<< 5.51),
        libkf5iconthemes-doc (<< 5.61.90-0),
        libkf5kcmutils-dev (<< 5.51),
        libkf5kdelibs4support-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5style-dev (<< 5.51),
        libkf5textwidgets-dev (<< 5.51),
        libkf5xmlgui-dev (<< 5.51)
Replaces: libkf5iconthemes-doc (<< 5.61.90-0)
Recommends: libkf5iconthemes-doc (= ${source:Version})
Description: development files for kiconthemes
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 Contains development files for kiconthemes.

Package: libkf5iconthemes-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for icon themes (documentation)
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5iconthemes5
Architecture: any
Multi-Arch: same
Depends: libkf5iconthemes-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.51),
        kio (<< 5.42),
        libkf5bookmarks5 (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5newstuff5 (<< 5.51),
        libkf5parts5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5style5 (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.51),
        qml-module-org-kde-qqc2desktopstyle (<< 5.51)
Recommends: libkf5iconthemes-bin (= ${binary:Version})
Description: Support for icon themes.
 Library to use/access icon themes in Qt. These classes
 are used by the iconloader but can be used by others too.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kiconthemes-([\d.]+)\.tar\.xz

## kiconthemes 5.116.0+p24.04+vstable+git20251220.0210

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vstable+git20251220.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:11:00 +0000

## kiconthemes 5.116.0+p24.04+vstable+git20251224.0646

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vstable+git20251224.0646-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:46:12 +0000

## kiconthemes 5.116.0+p24.04+vunstable+git20251020.0256

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vunstable+git20251020.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:56:07 +0000

## kiconthemes 5.116.0+p24.04+vunstable+git20251220.0041

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vunstable+git20251220.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:41:57 +0000

## kiconthemes 5.116.0+p24.04+vunstable+git20251224.0822

=== debian/changelog ===
kiconthemes (5.116.0+p24.04+vunstable+git20251224.0822-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 08:22:54 +0000
